Assignee: Mikhail Kozlov % Done: 100%

Category: Software Estimated time: 0.00 hour

Target version:    

Description

Создать работающий прототип симуляции эксперимента EXP1803 в ЭР согласно схеме

scheme_EXP1803.jpg и scheme_telescope1.jpg.

До мишени будем проводить вторичный пучок 

6

He (с чистотой 80% и произвольными примесями -

достаточно двух ядер). В мишени происходит реакция

6

He + 

2

H → 

3

He + 

5

H

с последующим мгновенным распадом

5

H → 

3

H + n +n.

В проторипе симуляции можно реакцию и трехтельный распад разыгрывать с помощью фазового

объема, но в с возможностью вводить угловое распределение

реакции (

2

H,

3

He) из текстового файла.

 

Системы детекторов TOF и MWPC стандартные для сепаратора ACCULINNA-2.

 

Геометрию мишени можно взять из ветки созданной Иваном Музалевским. Для прототипа симуляции

ее можно наполнить газом 

2

H

при давлению 4 бар и комнатной температуре.

 

Телескоп 1 (T1)

состоит из 4 одинаковых кремниевых модулей;

1 слой - для начала безстриповый толщины 20 мкм;

2 слой - двухсторонний (32 стрип с каждой стороны) толщины 1000 мкм;

расстояние между слоями 5 мм;

размер квадратного отверстия между модулями хочется варьировать, но для начала подойдет

1,5 см.

 

Детектор 1 (D1) состоит из одного слоя кремния, 32 стрипов из каждой стороны, толщиной допустим

300 мкм.
Магнит - железо магнита лучше создать, поскольку на его стенках может происходить рассеяние

продуктов реакции и распада,

но для начала обойдемся присутствием магнитного поля. Расстояние x

M

 можно задать как 50 см.

 

Детектор за магнитом (part of GADAST) является частю детектора GADAST. Можно расположить 6

модулей текущего детектора.

 

Детектор нейтронов на схеме не показан. Это будет стенка из стильбенов, которые будут

максимально сжаты друг к другу, расположены

на сфере с фокусом к мишени на расстоянию от мишени, допустим 3 метра.

 

Результат:

Симуляция создана и доступна в маркосе macro/EXP1803/sim_digi.C версии git XXXXXXXXXX.

Симуляция готова к тестам.

History

#1 - 01/02/2018 03:20 AM - Vratislav Chudoba

- Description updated

#2 - 01/03/2018 11:08 PM - Sergey Belogurov

Какой детектор для какой частицы предназначен?  Со стильбенами понятно.  Есть идея, что одна заряженная частица летит

преимущественно в телескопы, а другая в гадаст?

 

#3 - 01/04/2018 03:48 AM - Vratislav Chudoba

Стилбены предполагаются для нейтронов из распада 

5

H. Странный телескоп для 

3

He вылетающего из бинарной реакции. Детекторы D1 и

GADAST вместе с магнитом для тритона.

 

#4 - 01/04/2018 06:50 PM - Sergey Belogurov

Добавил Виталика в вотчеры.

#5 - 01/24/2018 10:06 AM - Vratislav Chudoba

- Due date changed from 01/15/2018 to 01/22/2018

- % Done changed from 0 to 100

#6 - 02/06/2018 02:31 PM - Vratislav Chudoba

- File output.txt added
- File outputEventDisplay.txt added

- % Done changed from 100 to 90

Симмуляция сама, как кажется, работает если закоментировать строчку включения магнитного поля

run->SetField(magField);

Файл sim.root создается, но во время его создавания компьютер сильно ругается (output.txt).

Попытка включить макрос eventDisplay.C заканчивается неудачей, которая даже в аутпутфайл не лезет. Все похоже на выписки частей

кода. То, что запомнил терминал можно посмотреть в файле outputEventDispaly.txt. Это проблема только моего компа или надо что-нибудь

серьезно менять?

Кроме того, пришлось в макросе добавить один аргумент в конструктор гадаста:

  ERGadast* gadast = new ERGadast("PartofGadast", kTRUE, 1);

Ветки FairSoft и FairRoot у меня настроены согласно инструкции на нашем сайте.

#7 - 02/16/2018 08:00 PM - Vratislav Chudoba

- % Done changed from 90 to 100

#8 - 02/26/2018 08:06 AM - Vitaliy Schetinin

Эту задачу можно закрыть?

#9 - 03/02/2018 12:04 AM - Vratislav Chudoba

- Description updated

- Category set to Software

- Status changed from Открыта to Закрыта

#10 - 02/27/2019 07:51 AM - Vitaliy Schetinin

Задача закрыта, но частично не вмерджена. Миш, что с веткой? Убиваем?

Files

scheme_EXP1803.jpg 487 KB 01/01/2018 Vratislav Chudoba

scheme_telescope1.jpg 810 KB 01/01/2018 Vratislav Chudoba

output.txt 310 KB 02/06/2018 Vratislav Chudoba

outputEventDisplay.txt 292 KB 02/06/2018 Vratislav Chudoba
